diff --git a/staticd/static_main.c b/staticd/static_main.c
index 79686158cf75..da06749c2f4b 100644
--- a/staticd/static_main.c
+++ b/staticd/static_main.c
@@ -77,6 +77,9 @@ static void sigint(void)
 {
 	zlog_notice("Terminating on signal");
 
+	/* Disable BFD events to avoid wasting processing. */
+	bfd_protocol_integration_set_shutdown(true);
+
 	static_vrf_terminate();
 
 	static_zebra_stop();
